If you are old school and hang on to things to get the most bang for your buck you may want to make sure your iPhone software is up to date.

Apple announced that some older models of iPhones that don't have updated software might not work correctly after the time change this weekend.

If you have an iPhone 5 or older phone you will have to make sure you have the latest update installed by November 3rd or you could lose access to the internet and GPS.

“Starting just before 12:00 a.m. UTC on November 3, 2019, iPhone 5 will require an iOS update to maintain accurate GPS location and to continue to use functions that rely on correct date and time including App Store, iCloud, email, and web browsing,”

You can update your software in the Setting App under the General settings.